<?php

namespace Drupal\translation_bliss_fixed_admin_language\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Language\LanguageInterface;
use Drupal\Core\Form\ConfigFormBase;

/**
 * Configure the selected language negotiation method for this site.
 *
 * @internal
 */
final class TranslationBlissFixedAdminLanguageNegotiationForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'translation_bliss_fixed_admin_language_form';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['translation_bliss_fixed_admin_language.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('translation_bliss_fixed_admin_language.settings');
    $form['selected_langcode'] = [
      '#type' => 'language_select',
      '#title' => $this->t('Language'),
      '#languages' => LanguageInterface::STATE_CONFIGURABLE | LanguageInterface::STATE_SITE_DEFAULT,
      '#default_value' => $config->get('selected_langcode'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('translation_bliss_fixed_admin_language.settings')
      ->set('selected_langcode', $form_state->getValue('selected_langcode'))
      ->save();

    parent::submitForm($form, $form_state);
  }

}
