<?php

declare(strict_types=1);
namespace Drupal\Tests\translation_bliss\Functional;

use Drupal\language\Entity\ConfigurableLanguage;
use Drupal\Tests\BrowserTestBase;
use Drupal\Tests\translation_bliss\Traits\FixDriverTrait;
use Drupal\user\Entity\Role;

final class ConfigLanguageSelectorTest extends BrowserTestBase {

  use FixDriverTrait;

  protected static $modules = [
    'translation_bliss_config_language_select',
    'language',
  ];

  protected $defaultTheme = 'stark';

  public function testConfigLanguageSelector() {
    ConfigurableLanguage::createFromLangcode('de')->save();

    $this->drupalLogin($this->rootUser);
    $this->drupalGet('/admin/people/roles/add');
    $this->assertSession()->statusCodeEquals(200);

    $this->assertSession()->optionExists('langcode', 'en');
    $this->assertSession()->optionExists('langcode', 'de');

    $this->submitForm([
      'id' => 'test_role',
      'label' => 'Test role',
      'langcode' => 'de',
    ], 'Save');
    $this->assertSession()->statusCodeEquals(200);

    $role = Role::load('test_role');

    $this->assertSame('de', $role->language()->getId());
  }

}
